org.hibernate.search.elasticsearch.impl

## Class ElasticsearchLuceneQueryTranslator

- java.lang.Object
- - org.hibernate.search.elasticsearch.impl.ElasticsearchLuceneQueryTranslator

- All Implemented Interfaces:
    Service, Startable, LuceneQueryTranslator

      public class ElasticsearchLuceneQueryTranslator
      extends Object
      implements LuceneQueryTranslator, Startable

  Translates Lucene queries into ES queries.

  Extra-experimental ;)

  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchLuceneQueryTranslator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `conversionRequired(IndexedTypeSet entities)`
    `QueryDescriptor` | `convertLuceneQuery(Query luceneQuery)`
    `void` | `start(Properties properties, BuildContext context)` Start phase notification.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchLuceneQueryTranslator

          public ElasticsearchLuceneQueryTranslator()

  - ### Method Detail

    - #### start

          public void start(Properties properties,
                            BuildContext context)

      Description copied from interface: `Startable`
      Start phase notification.
      Specified by:
        `start` in interface `Startable`
      Parameters:
        `properties` - the configuration properties
        `context` - the current context instance

    - #### convertLuceneQuery

          public QueryDescriptor convertLuceneQuery(Query luceneQuery)

      Specified by:
        `convertLuceneQuery` in interface `LuceneQueryTranslator`

    - #### conversionRequired

          public boolean conversionRequired(IndexedTypeSet entities)

      Specified by:
        `conversionRequired` in interface `LuceneQueryTranslator`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved